﻿using LibXom.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LibW4M.Data.X
{
    public abstract class ResourceDetail<T> : SaveDataEntry
    {
        public T Value;
        public XomString Name;
        public int Flags;
        public override string FriendlyName
        {
            get
            {
                return this.Name.Value;
            }
        }

        public ResourceDetail(W4SaveFile fileBelongs, XomContainer mainContainer) : base(fileBelongs, mainContainer)
        {
        }
        public abstract override void Load();
        public abstract override void Save();

    }
}
