﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LibXom.Blocks
{
    public class MoikBlock : XomBlock
    {

        private int version;
        private int numCtnr;
        private int numTypes;

        public int Version
        {
            get
            {
                return version;
            }
        }

        public int NumCtnr
        {
            get
            {
                return numCtnr;
            }
        }

        public int NumTypes
        {
            get
            {
                return numTypes;
            }
        }

        internal MoikBlock(int version, int numCtnr, int numTypes)
        {
            this.name = "MOIK";
            this.version = version;
            this.numCtnr = numCtnr;
            this.numTypes = numTypes;
        }
    }
}
